## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.gable.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Get all data assets

**cURL**
```bash
curl --request GET \
  --url https://demo-api.gable.ai/v0/data-assets \
  --header 'X-API-KEY: <api-key>'
```

**Python**
```python
import requests

url = "https://demo-api.gable.ai/v0/data-assets"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

**JavaScript**
```javascript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/data-assets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/data-assets",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo-api.gable.ai/v0/data-assets"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Unirest (Java)**
```java
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/data-assets")
  .header("X-API-KEY", "<api-key>")
  .asString();
```

**Ruby**
```ruby
require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/data-assets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**
- **400**
- **500**

### Response Structure
```json
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dataAssetResourceName": "<string>",
    "domain": "<string>",
    "path": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "contractId": "<string>"
  }
]
```

### Error Response
```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

### Authorizations

**X-API-KEY**  
 *Type*: string  
 *Location*: header  
 *Required*: Yes

### Query Parameters
- **limit** (integer): The limit used for offset-based pagination  
- **offset** (integer): The offset used for offset-based pagination  
- **search** (string): A query string to search data assets with

### Data Asset Properties
- **id** (string<uuid>): The unique identifier for the data asset.
- **dataAssetResourceName** (string): The unique identifier of the data asset. It follows the pattern '{data_asset_type}://{data_asset_source}:{data_asset_name}'
- **domain** (string): The domain to which the data asset belongs.
- **path** (string): The name or path identifying the data asset.
- **type** (enum<string>): The type of the source data asset.
- **updatedAt** (string<date-time>): The timestamp of the most recent update.
- **contractId** (string): The contract ID associated with the data asset.
